From: "Andreas Sturmlechner" <asturm@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/utidylib/
Date: Sun, 24 Nov 2019 17:13:49 +0000 (UTC) [thread overview]
Message-ID: <1574615612.57784e77a9af7c30378e97cea22eb83501bb8c19.asturm@gentoo> (raw)
commit: 57784e77a9af7c30378e97cea22eb83501bb8c19
Author: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Nov 24 15:41:49 2019 +0000
Commit: Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Nov 24 17:13:32 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=57784e77
dev-python/utidylib: 0.6 version bump, EAPI-7 bump, python3_8
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>
dev-python/utidylib/Manifest | 1 +
dev-python/utidylib/utidylib-0.6.ebuild | 58 +++++++++++++++++++++++++++++++++
2 files changed, 59 insertions(+)
diff --git a/dev-python/utidylib/Manifest b/dev-python/utidylib/Manifest
index f19926dc22b..bbf80b3d44c 100644
--- a/dev-python/utidylib/Manifest
+++ b/dev-python/utidylib/Manifest
@@ -1 +1,2 @@
DIST uTidylib-0.3.tar.bz2 13809 BLAKE2B c6b495933ecdc21543c79e3ff200cc06ec4ebc1682cf9172bd988a08afef8b69db17eec4b88665aff5dc6cef371f3c665f6de3ffcc1dc515f778b523333c891b SHA512 4503f2a6366e5110740b312df2300d62bb68e1e1032184e9b56dee75995309c76d4f8e5851c73e7c8e08cca7bba9c74436d8dfc0524f115f3abb2bdf5529cc35
+DIST uTidylib-0.6.tar.gz 15771 BLAKE2B 9d4fe57d985ea6e52680bd528862d3236137221227a23fe05b886d01d240e21d7159dbf7d6da3af8020009ca45c60c2297e374bb7aa05cb6b5a8eaf444710c58 SHA512 a85506ef8824f66ee326ad651020dc3b4e00190e20dcd3814984fa27ff319f492fe5bac781b7c43c8694cbfc63409e3abda18981969c9be2c3cd023fe7a4f2f8
diff --git a/dev-python/utidylib/utidylib-0.6.ebuild b/dev-python/utidylib/utidylib-0.6.ebuild
new file mode 100644
index 00000000000..b37e9e1ddd2
--- /dev/null
+++ b/dev-python/utidylib/utidylib-0.6.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{6,7,8} )
+
+MY_P="uTidylib-${PV}"
+inherit distutils-r1
+
+DESCRIPTION="TidyLib Python wrapper"
+HOMEPAGE="https://cihar.com/software/utidylib/ https://pypi.org/project/uTidylib/"
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${MY_P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc ~ppc64 ~x86"
+IUSE="doc test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+ doc? ( || ( $(python_gen_useflags 'python2*' python3_6 python3_7) ) )
+ test? ( || ( $(python_gen_useflags 'python2*' python3_6 python3_7) ) )
+"
+
+BDEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ doc? ( $(python_gen_cond_dep 'dev-python/sphinx[${PYTHON_USEDEP}]' 'python2*' python3_6 python3_7) )
+ test? (
+ $(python_gen_cond_dep 'dev-python/flake8[${PYTHON_USEDEP}]' 'python2*' python3_6 python3_7)
+ $(python_gen_cond_dep 'dev-python/pycodestyle[${PYTHON_USEDEP}]' 'python2*' python3_6 python3_7)
+ $(python_gen_cond_dep 'dev-python/pyflakes[${PYTHON_USEDEP}]' 'python2*' python3_6 python3_7)
+ $(python_gen_cond_dep 'dev-python/pytest[${PYTHON_USEDEP}]' 'python2*' python3_6 python3_7)
+ $(python_gen_cond_dep 'dev-python/pytest-cov[${PYTHON_USEDEP}]' 'python2*' python3_6 python3_7)
+ )
+"
+DEPEND="
+ dev-python/six[${PYTHON_USEDEP}]
+"
+RDEPEND="
+ app-text/tidy-html5
+"
+
+RESTRICT="test" # 1/11 tests fail
+
+S="${WORKDIR}/${MY_P}"
+
+python_compile_all() {
+ use doc && emake -C docs html
+}
+
+python_test() {
+ esetup.py test
+}
+
+python_install_all() {
+ use doc && local HTML_DOCS=( docs/_build/html/. )
+ distutils-r1_python_install_all
+}
next reply other threads:[~2019-11-24 17:13 UTC|newest]
Thread overview: 60+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-11-24 17:13 Andreas Sturmlechner [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-05-13 19:00 [gentoo-commits] repo/gentoo:master commit in: dev-python/utidylib/ Arthur Zamarin
2024-03-22 12:37 Michał Górny
2024-03-22 6:14 Arthur Zamarin
2024-03-22 6:14 Arthur Zamarin
2024-03-22 3:58 Sam James
2024-03-22 3:58 Sam James
2024-03-21 17:45 Arthur Zamarin
2024-03-05 19:11 Michał Górny
2023-06-01 14:37 Michał Górny
2023-01-08 5:21 Michał Górny
2023-01-07 19:44 Sam James
2023-01-07 19:31 Arthur Zamarin
2023-01-07 18:35 Arthur Zamarin
2023-01-07 18:29 Arthur Zamarin
2023-01-07 18:24 Arthur Zamarin
2022-12-07 15:59 Michał Górny
2022-06-22 15:37 Michał Górny
2022-06-22 13:23 Agostino Sarubbo
2022-06-22 10:16 Agostino Sarubbo
2022-06-22 10:14 Agostino Sarubbo
2022-06-22 10:13 Agostino Sarubbo
2022-06-22 10:10 Agostino Sarubbo
2022-05-21 9:09 Michał Górny
2022-05-16 18:41 Arthur Zamarin
2022-05-16 18:41 Arthur Zamarin
2021-11-10 12:49 Jakov Smolić
2021-10-16 1:14 Sam James
2021-10-16 1:12 Sam James
2021-09-14 1:30 Yixun Lan
2021-08-31 3:54 Arthur Zamarin
2021-08-29 18:30 Sam James
2021-08-27 10:29 Marek Szuba
2021-08-23 6:48 Arthur Zamarin
2020-10-11 22:25 Andreas Sturmlechner
2020-10-11 21:33 Andreas Sturmlechner
2020-09-20 9:36 Michał Górny
2020-03-18 18:39 Michał Górny
2020-03-01 22:02 Andreas Sturmlechner
2020-01-05 3:09 Aaron Bauman
2020-01-03 14:30 Agostino Sarubbo
2020-01-03 13:44 Agostino Sarubbo
2020-01-03 13:42 Agostino Sarubbo
2020-01-03 10:06 Agostino Sarubbo
2019-11-24 21:07 Andreas Sturmlechner
2019-07-29 20:02 Aaron Bauman
2019-04-27 14:46 Andreas Sturmlechner
2019-03-11 21:03 Andreas Sturmlechner
2018-12-13 14:29 Mikle Kolyada
2018-12-08 9:44 Sergei Trofimovich
2018-12-08 9:36 Sergei Trofimovich
2018-12-07 2:41 Thomas Deutschmann
2018-03-22 13:06 Patrice Clement
2017-12-25 0:03 Patrice Clement
2017-12-02 15:01 Thomas Deutschmann
2017-09-03 1:04 Mike Gilbert
2017-05-04 17:34 Manuel Rüger
2016-12-18 15:57 Agostino Sarubbo
2016-12-18 15:44 Agostino Sarubbo
2016-10-21 21:40 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1574615612.57784e77a9af7c30378e97cea22eb83501bb8c19.asturm@gentoo \
--to=asturm@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox